DeluxHostAPI Reference
Storage files

Search files and folders

GET
/v1/services/{orderId}/storage/files/search

Authorization

apiToken storage:files:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: storage:files:read

Path Parameters

orderId*number

Query Parameters

path?string
q?string

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
query*string
items*array<>
truncated*boolean
curl -X GET 'https://api.deluxhost.net/v1/services/0/storage/files/search' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "query": "string",  "items": [    {      "name": "string",      "path": "string",      "size": 0,      "isDirectory": true,      "modifiedAt": "string"    }  ],  "truncated": true}